---
lang: en
title: 'API docs: context.asglobalinterceptor'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.asglobalinterceptor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [asGlobalInterceptor](./context.asglobalinterceptor.md)

## asGlobalInterceptor() function

The `BindingTemplate` function to configure a binding as a global interceptor by tagging it with `ContextTags.INTERCEPTOR`

**Signature:**

```typescript
export declare function asGlobalInterceptor(group?: string): BindingTemplate;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

group


</td><td>

string


</td><td>

_(Optional)_ Group for ordering the interceptor


</td></tr>
</tbody></table>

**Returns:**

[BindingTemplate](./context.bindingtemplate.md)


